Skip to main content
POST
/
api
/
v1
/
templates
/
Create Template
curl --request POST \
  --url https://api.example.com/api/v1/templates/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "content": {
    "subject": "<string>",
    "body": "<string>"
  }
}
'
import requests

url = "https://api.example.com/api/v1/templates/"

payload = {
"name": "<string>",
"content": {
"subject": "<string>",
"body": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
content: {subject: '<string>', body: JSON.stringify('<string>')}
})
};

fetch('https://api.example.com/api/v1/templates/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "content": {
    "subject": "<string>",
    "body": "<string>"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request model for creating an email template.

name
string
required

Template name for identification

Required string length: 1 - 255
content
TemplateContent · object
required

Email content with subject and body

Response

Successful Response

Response model for email template.

template_id
string<uuid>
required

Unique template identifier

user_id
string<uuid>
required

Owner user ID

name
string
required

Template name

content
TemplateContent · object
required

Email content

created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp